eCos Reference Manual
Prev |  | Next

# cyg_ppp_up()

## Name

cyg_ppp_up -- Bring PPP connection up

## Synopsis

    #include <cyg/ppp/ppp.h>

``cyg_ppp_handle_t cyg_ppp_up`(char *devnam, const cyg_ppp_options_t *options);`

## Description

This function starts up a PPP connection. The `devnam` argument is the name of the device to be used for the connection, typically `"/dev/ser0"` or `"/dev/ser1"`. The `options` argument should point to an initialized `cyg_ppp_options_t` object.

The return value will either be zero, indicating a failure, or a cyg_ppp_handle_t object that may be used as an argument to other PPP functions.

> Note: Although the PPP API is designed to permit several simultaneous connections to co-exist, at present only one PPP connection is actually implemented. Any attempt to create a second connection while there is already one open will fail.

Prev | Home | Next
cyg_ppp_options_init() | Up | cyg_ppp_down()